EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

            ebook-polish [pilihan] fail_input [fail_output]

Menggilap buku ialah menjadikan e-buku yang dibina lebih terserlah

Penggilapan cuba meminimumkan perubahan kod dalaman e-buku anda. Tidak seperti pertukaran, ia tidak meratakan CSS, namakan semula fail, ubah saiz fon, laras margins, dll. Setiap tindakan yang dilakukan hanya membuat perubahan minimum yang diperlukan untuk kesan yang dikehendaki.

Anda patut guna alat ini kerana merupakan langkah terakhir dalam penciptaan e-buku anda.

Perhatian, penggilapan hanya berfungsi pada faill dalam format AZW3atauEPUBatauKEPUB.

Whenever you pass arguments to ebook-polish that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[PILIHAN]

    --add-soft-hyphens, -H
        Add soft hyphens to all words in the book. This allows the book to be rendered better when the text is justified, in readers that do not support hyphenation.

    --compress-images, -i
        Mampat imej secara tak hilang dalam buku, untuk mengurangkan saiz fail, tanpa mempengaruhi kualiti imej.

    --cover, -c
        Laluan ke imej kulit buku. Perubahan kulit buku dinyatakan dalam e-buku. Jika tiada kulit buku hadir, atau kulit buku tidak dikenalpasti dengan baik, sisipkan satu kulit buku baharu.

    --download-external-resources, -d
        Download external resources such as images, stylesheets, etc. that point to URLs instead of files in the book. All such resources will be downloaded and added to the book so that the book no longer references any external resources.

    --embed-fonts, -e
        Benamkan semua fon yang dirujuk dalam dokumen tetapi sebenarnya tidak dibenam. Ia akan mengimbas fon tersebut dalam komputer anda, dan jika temui, ia akan dibenamkan ke dalam dokumen. Sila pastikan anda mempunyai lesen yang sah untuk membenamkan fon tersebut untuk digunakan dalam dokumen ini.

    --help, -h
        tunjuk mesej bantuan ini dan keluar

    --jacket, -j
        Sisip laman "jaket buku" pada permulaan buku yang mengandungi semua data meta buku seperti tajuk, tag, pengarang, siri, ulasan dan, lain-lain. Mana-mana jaket buku terdahulu akan diganti.

    --opf, -o
        Laluan ke fail OPF. Data meta dalam buku dikemaskini dari fail OPF.

    --remove-jacket
        Buang halaman jaket buku yang disisip sebelum ini.

    --remove-soft-hyphens
        Remove soft hyphens from all text in the book.

    --remove-unused-css, -u
        Remove all unused CSS rules from stylesheets and <style> tags. Some books created from production templates can have a large number of extra CSS rules that don't match any actual content. These extra rules can slow down readers that need to parse them all.

    --smarten-punctuation, -p
        Tukar sengkang teks, elipsis, petikan, hyphen berbilang, dan lain-lain ke dalam setara yang betul secara tipografi. Perhatian algoritma kadangkala jana keputusan yang salah, terutamanya bila petikan tunggal pada permulaan pemendekan yang terlibat.

    --subset-fonts, -f
        Subset fon bermaksud mengurangkan fon terbenam yang hanya mengandungi aksara yang perlu sahaja digunakan dalam fon di dalam buku. Ia mengurangkan saiz fail fon (separuh saiz fail fon adalah biasa). Contohnya, jika buku guna fon khusus untuk pengepala maka subset akan mengurangkan fon yang hanya mengandungi aksara yang hadir dalam pengepala di dalam buku. Atau jika buku membenamkan versi tebal dan condong fon, tetapi teks tebal dan condong jarang digunakan, atau tiada langsung digunakan. Oleh itu, fon tebal dan condong boleh dikurangkan atau dibuang sepenuhnya. Kelemahan membuat subset fon ialah jika anda bercadang mahu menambah lagi teks ke dalam buku anda, teks yang baru ditambah mungkin tidak dapat dipapar sepenuhnya kerana fon telah disubset.

    --upgrade-book, -U
        Tatar struktur dalaman buku, jika boleh. Sebagai contoh, tatar buku EPUB 2 ke buku EPUB 3.

    --verbose
        Hasilkan lagi output berjela, berguna untuk penyahpepijatan.

    --version
        tunjuk nombor versi program dan keluar

Author
Kovid Goyal

Copyright
Kovid Goyal